Bug 195491 - system-config-soundcard should fall back to OSS drivers if ALSA fails
system-config-soundcard should fall back to OSS drivers if ALSA fails
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 10:33 EDT by Boris Zbarsky
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 11:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Zbarsky 2006-06-15 10:33:34 EDT
It appears that the ALSA drivers for some classes of sound chips (es1371, to be
exact) are pretty buggy; the OSS drivers for these chips are a _lot_ better
(like they actually work).  It would be nice if system-config-soundcard would
fall back to configuring the OSS driver if the user tries playing sound using
the ALSA driver and there's no sound.  It would significantly improve the user
experience.
Comment 1 Martin Stransky 2006-06-15 11:02:14 EDT
Hm, does the OSS interface work for you in FC4/5?
Comment 2 Boris Zbarsky 2006-06-15 11:47:19 EDT
I'm still trying to figure out how to get that driver to load instead of the
ALSA one, actually.  That's the major reason for this bug.  ;)

Others who've had the same problems with ALSA and es1371 report that it does
work, however.
Comment 3 Martin Stransky 2006-06-24 03:02:23 EDT
I'm afraid you have to hack kernel if you want to use OSS, but if it's a user
space issue I can add it to s-c-s.
Comment 4 Boris Zbarsky 2006-06-25 14:28:02 EDT
I have no idea whether this is a user space issue or not; the kernel package
maintainer would be the one to ask, I guess.
Comment 5 Martin Stransky 2006-06-29 11:22:00 EDT
I'm afraid it isn't possibile to have two sound-systems in kernel.

Note You need to log in before you can comment on or make changes to this bug.